Description

Thanks for creating this plugin. | am currently investigating it because a customer of Planio wishes to use it with their account, and
while | don't see any technical issues with it, there appears to be a legal issue.

The archive (0.4.0) | just downloaded has this in the ruby files' headers:
Copyright © Emilio Gonzdlez Montafa
Licence: Attribution & no derivates
* Attribution to the plugin web page URL should be done if you want to use it.
https://redmine.ociotec.com/projects/localizable
* No derivates of this plugin (or partial) are allowed.
Take a look to licence.txt file at plugin root folder for further details.
First of all, the referenced licence.txt isn't there.

Second, and more importantly, since your plugin hooks into Redmine code by calling and extending Redmine code at runtime, and
because Redmine itself is released under the GPL, your plugin is covered by the GPL as well, by definition.

Unfortunately, the license terms you state are in conflict with the GPL's requirements of freedom of use, change and redistribution in
original and changed form. As | understand your 'no derivatives' clause, it forbids any changes to the code at all, wether they are
being redistributed or not. Also, while | personally don't have a problem with a link to the Plugin author (as is the default in Redmine's
Plugins page anyway), | am afraid that making this a requirement in the licensing terms is also not in the spirit of the GPL.

Since we would indeed need to make some minor changes to your plugin for use with Planio (most importantly, put all the patches in
a common plugin-specific namespace to avoid naming conflicts in the global namespace) | would kindly ask you to re-release a
version of the plugin under the GPL to clarify this situation. Also it would be really convenient if a public code repository would be
available, ideally on Github so we can contribute our changes / fixes back as we usually do.

Thank you in advance :)

Associated revisions

Revision 381f6baa - 2020-06-05 18:31 - Emilio Gonzalez Montaiia
#1581 Add missing license.txt

History

#1 - 2020-06-05 18:29 - Emilio Gonzalez Montaina

- Status changed from New to Resolved

Hi Jens,

Thanks for reporting missing license.txt, | will add it (same file than other plugins, for instance:

https://redmine.ociotec.com/projects/redmine-plugin-scrum/repository/74/revisions/master/entry/license.txt

I'm not agree with your interpretation of GPL license from Redmine, I'm not modifying Redmine in anyway, I'm just using it, All my plugins just use
standard Redmine way to define plugins, my plugins installation instructions don't include any instruction to modify the base Redmine installation
https://opensource.org/licenses/gpl-license
https://redmine.ociotec.com/projects/redmine-plugin-scrum/repository/74/revisions/master/entry/license.txt

(extending at runtime is the documented way to do plugins indeed).

There are a lot of Redmine plugins out there with different licenses, some of them you must pay for them (
https://www.easyredmine.com/redmine-plugins for example).

Any company can use the plugin as it is, but no derivatives are allowed, if someone wants to sell it or modify it I'm concerned about that (my "free"
time is not "free").

If you want to create modifications to the plugin to support Planio is OK, | see a win-win relation on this, this open source plugin can be supported by
Patreon:

https://www.patreon.com/ociotec

If you support the plugin development via Platinum supporter tier you will be able to send me pull requests in my GitLab repository (accessible for at
least Silver supporters).

Hope it clarifies a little bit.
Kind regards.

#2 - 2020-06-05 18:37 - Emilio Gonzalez Montaina

Added missing license file to the master branch:

https://redmine.ociotec.com/projects/localizable/repository/77/revisions/master/entry/license.txt

#3 - 2020-06-06 01:56 - Jens Kraemer
Emilio Gonzalez Montafa wrote in #note-1:
I'm not agree with your interpretation of GPL license from Redmine, I'm not modifying Redmine in anyway, I'm just using it, All my plugins just

use standard Redmine way to define plugins, my plugins installation instructions don't include any instruction to modify the base Redmine
installation (extending at runtime is the documented way to do plugins indeed).

Redmine plugins call Redmine code, and use Redmine's data structures, which is enough to make GPL apply to them. Please refer to the "GPL
FAQ": https://www.gnu.org/licenses/gpl-faq.html#GPLPlugins ..

There are a lot of Redmine plugins out there with different licenses, some of them you must pay for them (
https://www.easyredmine.com/redmine-plugins for example).

Some licenses, i.e. MIT, are compatible with the GPL, some (like yours ), are not.

Easyredmine and others (redmineup, for example) walk a fine line but in general do not technically violate the GPL. They do this by putting their Ruby
code under the GPL as required, but everything else (graphics, CSS, Javascripts) under their own license. Since the Ruby code alone is not enough
to use the plugin, and the JS is often a substantial part of their plugins, this works for them. They also charge for support. We are using RedmineUP
plugins we are paying for ourselves at Planio, so | am quite familiar with the exact situation here. However, if you wanted to, you could legally take
their Ruby code, modify and redistribute it (for example, with your own JS / CSS / Graphics).

Another good example are Wordpress plugins - there are many sites that re-distribute commercial Wordpress plugins for free, which is perfectly legal
because they're GPL. Developers usually make money through support plans. You might want to have a look at Themes are GPL too written by the
creator of Wordpress himself, or this GPL explainer in the context of Wordpress

Any company can use the plugin as it is, but no derivatives are allowed, if someone wants to sell it or modify it I'm concerned about that (my
"free" time is not "free").

| completely understand that, and as you might have noticed | also invest a lot of time in mainaining / building open source stuff. That is why | think it
is important to respect other's work, and the licenses they chose for it.

I'd really like to encourage you to read up a bit especially on the Wordpress situation as it applies quite well here. | am aware there are some people
who will say that it's perfectly fine and GPL does not apply to plugins but only to modifications of Redmine itself, and it never has been really resolved
in court (yet). However it's not only a legal thing, but also an ethical thing. And to me, as a developer, a broader application of the GPL feels like the
right thing to do.
